Get Group Details

This endpoint returns an array of groups whose Ids were specified in the groupIds
parameter. Groups that could be found are returned in the results array in the
response. Groups that could not be found are indicated in the errors array.

The data returned by this endpoint matches what is returned by List All Groups Details.

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "groupId": 0,
      "name": "string",
      "abbreviation": "string",
      "supplemental": true,
      "publishedOn": "string",
      "modifiedOn": "2017-11-21T00:47:27.220Z"
      "categoryId": 0

    }
  ]
}
/catalog/groups/1,2,3

{
    "success": true,
    "errors": [],
    "results": [
        {
            "groupId": 1,
            "name": "10th Edition",
            "abbreviation": "10E",
            "isSupplemental": false,
            "publishedOn": "2007-07-13T00:00:00",
            "modifiedOn": "2019-03-03T18:17:36.97",
            "categoryId": 1
        },
        {
            "groupId": 2,
            "name": "7th Edition",
            "abbreviation": "7ED",
            "isSupplemental": false,
            "publishedOn": "2001-04-11T00:00:00",
            "modifiedOn": "2019-02-24T13:49:26.567",
            "categoryId": 1
        },
        {
            "groupId": 3,
            "name": "8th Edition",
            "abbreviation": "8ED",
            "isSupplemental": false,
            "publishedOn": "2003-04-28T00:00:00",
            "modifiedOn": "2019-03-04T13:43:16.893",
            "categoryId": 1
        }
    ]
}
/catalog/groups/1940,1956

{
    "success": true,
    "errors": [],
    "results": [
        {
            "groupId": 1940,
            "name": "Opus II",
            "abbreviation": "OP2",
            "isSupplemental": false,
            "publishedOn": "2017-05-30T00:00:00",
            "modifiedOn": "2018-03-15T13:25:02.53",
            "categoryId": 24
        },
        {
            "groupId": 1956,
            "name": "Love Live! Sunshine!! Extra Booster",
            "abbreviation": "LLS2",
            "isSupplemental": false,
            "publishedOn": "2018-05-18T00:00:00",
            "modifiedOn": "2018-07-25T12:08:42.9",
            "categoryId": 20
        }
    ]
}
Path Params
string
required

A comma delimited list of Ids for the groups to return.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

No groups found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json